Organizations
User ID to act as billing user; defaults to owner.
nullUnique (case-insensitive) organization name.
Successful response
Authentication error
Validation error
POST /v3/organizations/ HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"billing_user_id": "text",
"name": "text"
}{
"billing_user_id": null,
"is_deleted": true,
"name": "text",
"organization_id": "text",
"owner_id": null,
"users": null
}Successful response
Authentication error
Validation error
POST /v3/organizations/invitations/accept HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"token": "text"
}{
"email": null,
"inherits_subscription": true,
"membership_id": null,
"name": null,
"role": null,
"status": null,
"user_id": null
}Successful response
Authentication error
Not found
GET /v3/organizations/{id} HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Accept: */*
{
"billing_user_id": null,
"is_deleted": true,
"name": "text",
"organization_id": "text",
"owner_id": null,
"users": null
}Successful response
Authentication error
Not found
DELETE /v3/organizations/{id} HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Accept: */*
No content
User ID to act as billing user; defaults to owner.
nullUnique (case-insensitive) organization name.
nullSuccessful response
Authentication error
Not found
Validation error
PATCH /v3/organizations/{id} HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"billing_user_id": "text",
"name": "text"
}{
"billing_user_id": null,
"is_deleted": true,
"name": "text",
"organization_id": "text",
"owner_id": null,
"users": null
}truenullmemberSuccessful response
Authentication error
Not found
Validation error
POST /v3/organizations/{id}/invitations HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 75
{
"email": "text",
"inherits_subscription": true,
"name": "text",
"role": "member"
}{
"token": "text"
}Successful response
Authentication error
Not found
GET /v3/organizations/{id}/users HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Accept: */*
{
"users": [
{
"email": null,
"inherits_subscription": true,
"membership_id": null,
"name": null,
"role": null,
"status": null,
"user_id": null
}
]
}Successful response
Authentication error
Not found
Validation error
DELETE /v3/organizations/{id}/users HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"membership_id": "text"
}No content
nullnullnullSuccessful response
Authentication error
Not found
Validation error
PATCH /v3/organizations/{id}/users/{membership_id} HTTP/1.1
Host: api:8080
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 58
{
"inherits_subscription": true,
"name": "text",
"role": "text"
}{
"email": null,
"inherits_subscription": true,
"membership_id": null,
"name": null,
"role": null,
"status": null,
"user_id": null
}Last updated
Was this helpful?